Name:           ukui-notification-daemon
Version:        3.3.1
Release:        5
Summary:        daemon to display passive popup notifications
License:        GPL-3+
URL:            https://github.com/ukui/ukui-notification-daemon
Source0:        %{name}-%{version}.tar.gz
Patch01:        0001-add-translations-file.patch
Patch02:        0002-fix-ukui-notification-daemon-SIGSEGV.patch

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  dconf-devel
BuildRequires:  glib2-devel
BuildRequires:  gsettings-qt-devel
BuildRequires:  libX11-devel
BuildRequires:  libcanberra-devel
BuildRequires:  ukui-interface

Requires:  gsettings-qt
Requires:  libX11
Requires:  dconf

Provides:       desktop-notification-daemon

%description
daemon to display passive popup notifications
ukui-notification-daemon displays passive popup notifications, as per
the Desktop Notifications Specification.

The Desktop Notifications Specification provides a standard way of
doing passive popup notifications on the Linux desktop. These are
designed to notify the user of something without interrupting their
work with a dialog box that they must close.  Passive popups can
automatically disappear after a short period of time, as per the
Desktop Notifications spec.

%prep
%setup -q
%patch01 -p1
%patch02 -p1

%build
export PATH=%{_qt5_bindir}:$PATH
mkdir qmake-build
pushd qmake-build
%{qmake_qt5} ..
%{make_build}
popd

%install
pushd qmake-build
%{make_install} INSTALL_ROOT=%{buildroot}
popd


%files
%doc debian/changelog
%license  debian/copyright
%{_prefix}/lib/ukui-notification-daemon/ukui-notifications
%{_datadir}/dbus-1/services/org.ukui.freedesktop.Notification.service
%{_datadir}/glib-2.0/schemas/org.ukui.notification.gschema.xml
%{_datadir}/glib-2.0/schemas/org.ukui.log4qt.ukui-notification.gschema.xml
%{_datadir}/ukui-notification-daemon/ukui-notification-daemon_zh_CN.qm

%changelog
* Fri Jul 21 2023 peijiankang <peijiankang@kylinos.cn> - 3.3.1-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add Patch2: 0002-fix-ukui-notification-daemon-SIGSEGV.patch

* Tue Mar 14 2023 douyan <douyan@kylinos.cn> - 3.3.1-4
- add Provides: desktop-notification-daemon

* Tue Feb 07 2023 tanyulong <tanyulong@kylinos.cn> - 3.3.1-3
- Enable debuginfo for fix strip

* Fri Dec 30 2022 lvfei <lvfei@kylinos.cn> - 3.3.1-2
- add patch :0001-add-translations-file.patch

* Thu Nov 10 2022 douyan <douyan@kylinos.cn> - 3.3.1-1
- update to upstream version 3.3.1.0225.1

* Wed Mar 02 2022 tanyulong <tanyulong@kylinos.cn> - 1.0.4-1
- update to uptream version 1.0.4

* Thu Feb 4 2021 lvhan <lvhan@kylinos.cn> - 1.0.1-2
- update to upstream version 1.0.1-1

* Wed Nov 11 2020 douyan <douyan@kylinos.cn> - 1.0.1-1
- update to upstream version 1.0.0-1+1031
